Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.edr
Class EdrData

    java.lang.Object
      com.bea.wlcp.wlng.api.edr.EdrData

All Implemented Interfaces:
  Serializable

public class EdrData
extends Object
implements Serializable

Class holding the Edr data. This class is to be used instead of EdrInformation starting with Melitta.

See Also:
  Serialized Form

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Constructor Summary
`EdrData()` Constructor

Method Summary
`Map` | `getMap()` Returns the underlying map containing all the key/value pairs
`long` | `getUID()` Gets the unique identifier of this edr instance
`String` | `getValue(String key)` Returns the value associated with a key.
`List` | `getValues(String key)` Returns the list of values associated with a key.
`Set` | `keySet()` Returns the set of keys.
`void` | `setUID(long uid)` Sets the unique identifier of this edr instance
`void` | `setValue(String key, Object value)` Associates an object value with a key.
`void` | `setValue(String key, String value)` Associates a string value with a key.
`void` | `setValues(String key, List values)` Associates a list of values with a key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdrData

    public EdrData()

  Constructor

Method Detail

### getMap

    public Map getMap()

  Returns the underlying map containing all the key/value pairs

  Returns:
    The underlying map of key/value pairs

### getUID

    public long getUID()

  Gets the unique identifier of this edr instance

  Returns:
    long unique identifier of this edr instance

### getValue

    public String getValue(String key)

  Returns the value associated with a key. Because internally each key has a list of values associated, only the first element is returned.

  Parameters:
    `key` - The key
  Returns:
    The associated value, null if not found

### getValues

    public List getValues(String key)

  Returns the list of values associated with a key.

  Parameters:
    `key` - The key
  Returns:
    The list of values, null if not found

### keySet

    public Set keySet()

  Returns the set of keys.

  Returns:
    The set of keys

### setUID

    public void setUID(long uid)

  Sets the unique identifier of this edr instance

  Parameters:
    `uid` -

### setValue

    public void setValue(String key,
                         Object value)

  Associates an object value with a key. The object will be converted to a string using toString(). If the object is iterable, each of its element will be converted to a string using toString().

  Parameters:
    `key` - The key
    `value` - The value associated with the key

### setValue

    public void setValue(String key,
                         String value)

  Associates a string value with a key.

  Parameters:
    `key` - The key
    `value` - The value associated with the key

### setValues

    public void setValues(String key,
                          List values)

  Associates a list of values with a key.

  Parameters:
    `key` - The key
    `values` - The list of values associated with the key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD